Name:           apache-commons-net
Version:        3.6
Release:        7
Summary:        Java library for Internet protocol
License:        ASL 2.0
URL:            http://commons.apache.org/net/
Source0:        http://archive.apache.org/dist/commons/net/source/commons-net-3.6-src.tar.gz
# https://github.com/apache/commons-net/commit/b0bff89f70cfea70009e22f87639816cc3993974
Patch0:         CVE-2021-37533.patch
BuildArch:      noarch

BuildRequires:  maven-local mvn(junit:junit) mvn(org.apache.commons:commons-parent:pom:)
BuildRequires:  mvn(org.apache.maven.plugins:maven-antrun-plugin)
BuildRequires:  mvn(org.codehaus.mojo:build-helper-maven-plugin)
BuildRequires:  mvn(org.codehaus.mojo:exec-maven-plugin)

%description
Apache Commons Net library contains a collection of network utilities and protocol implementations.
Supported protocols include: Echo, Finger, FTP, NNTP, NTP, POP3(S), SMTP(S), Telnet, Whois

%package       help
Summary:       Help document for apache-commons-net
Provides:      %{name}-javadoc = %{version}-%{release}
Obsoletes:     %{name}-javadoc < %{version}-%{release}

%description   help
Help document for apache-commons-net.

%prep
%autosetup -n commons-net-%{version}-src -p1

rm src/test/java/org/apache/commons/net/time/TimeTCPClientTest.java
rm src/test/java/org/apache/commons/net/tftp/TFTPServerPathTest.java
rm src/test/java/org/apache/commons/net/ftp/TestConnectTimeout.java

%mvn_file  : commons-net apache-commons-net
%mvn_alias : org.apache.commons:commons-net

%build
%mvn_build -- -Dmaven.compiler.source=1.8 -Dmaven.compiler.target=1.8

%install
%mvn_install

%files -f .mfiles
%license LICENSE.txt NOTICE.txt

%files help -f .mfiles-javadoc
%doc README.md RELEASE-NOTES.txt

%changelog
* Thu Nov 23 2023 yaoxin <yao_xin001@hoperun.com> - 3.6-7
- Fix CVE-2021-37533

* Mon Jun 05 2023 wangkai <13474090681@163.com> - 3.6-6
- Remove TestConnectTimeout for ftp

* Wed Dec 4 2019 shijian <shijian16@huawei.com> - 3.6-5
- Package init
